[PVE-User] Error trying to dist-upgrade a fresh installation

Dominik Csapak d.csapak at proxmox.com
Thu Jan 24 14:38:25 CET 2019


On 1/24/19 2:21 PM, Gilberto Nunes wrote:
> Hi list
> 
> I have a fresh installation here, and when I try to updagre it I get some
> errors:
> apt dist-upgrade
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> Calculating upgrade... Done
> 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> 1 not fully installed or removed.
> After this operation, 0 B of additional disk space will be used.
> Do you want to continue? [Y/n]
> Setting up pve-manager (5.3-8) ...
> Job for pvedaemon.service failed because the control process exited with
> error code.
> See "systemctl status pvedaemon.service" and "journalctl -xe" for details.
> dpkg: error processing package pve-manager (--configure):
>   subprocess installed post-installation script returned error exit status 1
> Errors were encountered while processing:
>   pve-manager
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> 
> systemctl status pvedaemon.service
> * pvedaemon.service - PVE API Daemon
>     Loaded: loaded (/lib/systemd/system/pvedaemon.service; enabled; vendor
> preset: enabled)
>     Active: active (running) (Result: exit-code) since Thu 2019-01-24
> 11:15:52 -02; 5min ago
>    Process: 2634 ExecReload=/usr/bin/pvedaemon restart (code=exited,
> status=2)
>   Main PID: 1366 (pvedaemon)
>      Tasks: 4 (limit: 4915)
>     Memory: 115.6M
>        CPU: 6.251s
>     CGroup: /system.slice/pvedaemon.service
>             |-1366 pvedaemon
>             |-1369 pvedaemon worker
>             |-1370 pvedaemon worker
>             `-1371 pvedaemon worker
> 
> Jan 24 11:19:38 pve01 pvedaemon[2634]: Compilation failed in require at
> /usr/share/perl5/PVE/API2/Cluster.pm line 13, <DATA> line 755.
> Jan 24 11:19:38 pve01 pvedaemon[2634]: BEGIN failed--compilation aborted at
> /usr/share/perl5/PVE/API2/Cluster.pm line 13, <DATA> line
> Jan 24 11:19:38 pve01 pvedaemon[2634]: Compilation failed in require at
> /usr/share/perl5/PVE/API2.pm line 13, <DATA> line 755.
> Jan 24 11:19:38 pve01 pvedaemon[2634]: BEGIN failed--compilation aborted at
> /usr/share/perl5/PVE/API2.pm line 13, <DATA> line 755.
> Jan 24 11:19:38 pve01 pvedaemon[2634]: Compilation failed in require at
> /usr/share/perl5/PVE/Service/pvedaemon.pm line 8, <DATA> line
> Jan 24 11:19:38 pve01 pvedaemon[2634]: BEGIN failed--compilation aborted at
> /usr/share/perl5/PVE/Service/pvedaemon.pm line 8, <DATA> l
> Jan 24 11:19:38 pve01 pvedaemon[2634]: Compilation failed in require at
> /usr/bin/pvedaemon line 11, <DATA> line 755.
> Jan 24 11:19:38 pve01 pvedaemon[2634]: BEGIN failed--compilation aborted at
> /usr/bin/pvedaemon line 11, <DATA> line 755.
> Jan 24 11:19:38 pve01 systemd[1]: pvedaemon.service: Control process
> exited, code=exited status=2
> Jan 24 11:19:38 pve01 systemd[1]: Reload failed for PVE API Daemon.
> 
> 

can you post the complete error from the journal?
also the complete output of

apt update
apt dist-upgrade

could be helpful



More information about the pve-user mailing list